Delete an AI assistant

Delete an AI assistant.

Endpoint

DELETE
/ai-assistants/:id

This is a soft delete: the assistant gets a deleted_at timestamp and no longer appears in list or get. Conversations currently assigned to the assistant are unassigned from it (their handoff reason is set to "AI Assistant was deleted").

Request

Response

The deleted AI assistant object, with deleted_at set.

json

Duplicate instead of deleting

There is no duplicate endpoint. To copy an assistant, get it, remove id, version_id, created_by_user_id, created_at, updated_at, deleted_at and ai_safeguards_system, change name, and create a new one.

Report an issue with this documentation

Please log in to report issues with our documentation.